"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = __importDefault(require("react"));
var react_bootstrap_1 = require("react-bootstrap");
require("./field-usage-table.css");
var path_1 = __importDefault(require("./path/path"));
var duration_1 = __importDefault(require("./duration/duration"));
var FieldUsageTable = function (props) {
    var data = props.results;
    var sortedData = data.fieldUsages.sort(function (a, b) { return b.count - a.count; });
    var sum = 0;
    sortedData.forEach(function (field) {
        sum += field.count;
    });
    return (react_1.default.createElement(react_bootstrap_1.Table, { bordered: true, striped: true, hover: true, variant: "dark", responsive: true, className: "Usage-Table" },
        react_1.default.createElement("thead", null,
            react_1.default.createElement("tr", null,
                react_1.default.createElement("th", null, "Field Path"),
                react_1.default.createElement("th", null, "Usage Count"),
                react_1.default.createElement("th", null, "Average Resolving Time"),
                react_1.default.createElement("th", null, "Last Request Date"))),
        react_1.default.createElement("tbody", null, sortedData.map(function (_a, index) {
            var path = _a.name, count = _a.count, averageDuration = _a.averageDuration, lastRequestTime = _a.lastRequestTime;
            return react_1.default.createElement("tr", { key: index },
                react_1.default.createElement("td", null, react_1.default.createElement(path_1.default, { path: path })),
                react_1.default.createElement("td", null,
                    count,
                    " (",
                    Math.round(count * 100 / sum),
                    "%)"),
                react_1.default.createElement("td", null,
                    react_1.default.createElement(duration_1.default, { duration: averageDuration })),
                react_1.default.createElement("td", null, new Date(lastRequestTime).toLocaleString()));
        }))));
};
exports.default = FieldUsageTable;
